Skip to main content

Merchant-Initiated Authorization for Debt Recovery with a Token


Use this information to process an authorization for a merchant-initiated debt recovery with a token.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "transactionId": "29987654321",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },    "processingInformation": {        "commerceIndicator": "moto",        "industryDataType": "transit",        "reconciliationId": "fgssgsgsgsfg",        "authorizationOptions": {            "debtRecoveryIndicator": "true",            "ignoreAvsResult": "true",            "ignoreCvResult": "true",            "initiator": {                "type": "merchant",                "storedCredentialUsed": "true",                "merchantInitiatedTransaction": {                    "reason": "1",                    "previousTransactionId": "123456766012345"                }            }        }    },    "paymentInformation": {        "card": {            "expirationMonth": "12",            "expirationYear": "2031",            "type": "001"        },        "instrumentIdentifier": {            "id": "CD616772D8355EA6E053AF598E0AE794"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "currency": "THB"        }    }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/6482309374186627704003/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6482309374186627704003"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/6482309374186627704003/captures"        }    },    "clientReferenceInformation": {        "code": "TC50171_3",        "transactionId": "29987654321"    },    "id": "6482309374186627704003",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "10.00",            "currency": "THB"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "accountFeatures": {            "category": "A",            "group": "0"        },        "tokenizedCard": {            "type": "001"        },        "instrumentIdentifier": {            "id": "CD616772D8355EA6E053AF598E0AE794",            "state": "ACTIVE"        },        "card": {            "type": "001"        }    },    "pointOfSaleInformation": {        "emv": {            "tags": "5004564953419F26087C14E9BE1F1065094F07A0000000031010820220009F360203709F0702C0809F2701409F100706010A03902000950500000000009F3704DB6AD1679A032111145F3401019F1A0203809F33036008C89F34031F03029F3501259F02060000000000009F03060000000000005F2A0209789C01005F2D046974656E9F0607A00000000310108407A00000000310109F21031726589F6E04207000009F40052000000001DFFEC30A020100"        }    },    "processorInformation": {        "systemTraceAuditNumber": "191368",        "approvalCode": "831000",        "networktransactionId": "016153570198200",        "transactionId": "016153570198200",        "responseCode": "00",        "avs": {            "code": "1"        }    },    "reconciliationId": "fgssgsgsgsfg",    "status": "AUTHORIZED",    "submitTimeUtc": "2022-03-25T17:55:37Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.partner.thirdPartyCertificationNumber
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.type
paymentInformation.instrumentIdentifier.id
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.ignoreAvsResult
processingInformation.authorizationOptions.ignoreCvResult
processingInformation.authorizationOptions.initiator. merchantInitiatedTransaction.previousTransactionId
processingInformation.authorizationOptions.initiator. merchantInitiatedTransaction.reason
processingInformation.authorizationOptions.initiator.storedCredentialUsed
processingInformation.authorizationOptions.initiator.type
processingInformation.commerceIndicator
processingInformation.industryDataTypeSet this field to transit.
processingInformation.reconciliationId

Last published: September 29, 2026